// SPDX-FileCopyrightText: Matteo Settenvini <matteo.settenvini@montecristosoftware.eu>
// SPDX-License-Identifier: GPL-3.0-or-later

#include "testsuite.hh"

#include <glib.h>

#include <clocale>


auto main(int argc, char *argv[]) -> int
{
    setenv("NSS_MALCONTENT_LOG_LEVEL", "7", 1);
    setlocale(LC_ALL, "");
    g_test_init(&argc, &argv, NULL);
    g_test_set_nonfatal_assertions();

    define_resolver_tests();

    return g_test_run();
}
