// SPDX-FileCopyrightText: Matteo Settenvini <matteo.settenvini@montecristosoftware.eu>
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include "resolver.hh"

namespace malcontent::get_host {

auto by_name(ResolverArgs& args) -> nss_status;

auto by_addr(
    const void *addr,
    socklen_t len,
    int family,
    hostent *host,
    char *buffer,
    size_t buflen,
    int *errnop,
    HErrno *h_errnop,
    int32_t *ttlp
) -> nss_status;

} // ~ namespace malcontent::get_host
